/*
Copyright 2020 caicloud authors. All rights reserved.
*/

// Code generated by client-gen. DO NOT EDIT.

package v1alpha1

import (
	v1alpha1 "github.com/caicloud/cyclone/pkg/apis/cyclone/v1alpha1"
	scheme "github.com/caicloud/cyclone/pkg/k8s/clientset/scheme"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	rest "k8s.io/client-go/rest"
)

// StagesGetter has a method to return a StageInterface.
// A group's client should implement this interface.
type StagesGetter interface {
	Stages(namespace string) StageInterface
}

// StageInterface has methods to work with Stage resources.
type StageInterface interface {
	Create(*v1alpha1.Stage) (*v1alpha1.Stage, error)
	Update(*v1alpha1.Stage) (*v1alpha1.Stage, error)
	Delete(name string, options *v1.DeleteOptions) error
	DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error
	Get(name string, options v1.GetOptions) (*v1alpha1.Stage, error)
	List(opts v1.ListOptions) (*v1alpha1.StageList, error)
	Watch(opts v1.ListOptions) (watch.Interface, error)
	Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha1.Stage, err error)
	StageExpansion
}

// stages implements StageInterface
type stages struct {
	client rest.Interface
	ns     string
}

// newStages returns a Stages
func newStages(c *CycloneV1alpha1Client, namespace string) *stages {
	return &stages{
		client: c.RESTClient(),
		ns:     namespace,
	}
}

// Get takes name of the stage, and returns the corresponding stage object, and an error if there is any.
func (c *stages) Get(name string, options v1.GetOptions) (result *v1alpha1.Stage, err error) {
	result = &v1alpha1.Stage{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("stages").
		Name(name).
		VersionedParams(&options, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// List takes label and field selectors, and returns the list of Stages that match those selectors.
func (c *stages) List(opts v1.ListOptions) (result *v1alpha1.StageList, err error) {
	result = &v1alpha1.StageList{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("stages").
		VersionedParams(&opts, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// Watch returns a watch.Interface that watches the requested stages.
func (c *stages) Watch(opts v1.ListOptions) (watch.Interface, error) {
	opts.Watch = true
	return c.client.Get().
		Namespace(c.ns).
		Resource("stages").
		VersionedParams(&opts, scheme.ParameterCodec).
		Watch()
}

// Create takes the representation of a stage and creates it.  Returns the server's representation of the stage, and an error, if there is any.
func (c *stages) Create(stage *v1alpha1.Stage) (result *v1alpha1.Stage, err error) {
	result = &v1alpha1.Stage{}
	err = c.client.Post().
		Namespace(c.ns).
		Resource("stages").
		Body(stage).
		Do().
		Into(result)
	return
}

// Update takes the representation of a stage and updates it. Returns the server's representation of the stage, and an error, if there is any.
func (c *stages) Update(stage *v1alpha1.Stage) (result *v1alpha1.Stage, err error) {
	result = &v1alpha1.Stage{}
	err = c.client.Put().
		Namespace(c.ns).
		Resource("stages").
		Name(stage.Name).
		Body(stage).
		Do().
		Into(result)
	return
}

// Delete takes name of the stage and deletes it. Returns an error if one occurs.
func (c *stages) Delete(name string, options *v1.DeleteOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("stages").
		Name(name).
		Body(options).
		Do().
		Error()
}

// DeleteCollection deletes a collection of objects.
func (c *stages) DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("stages").
		VersionedParams(&listOptions, scheme.ParameterCodec).
		Body(options).
		Do().
		Error()
}

// Patch applies the patch and returns the patched stage.
func (c *stages) Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha1.Stage, err error) {
	result = &v1alpha1.Stage{}
	err = c.client.Patch(pt).
		Namespace(c.ns).
		Resource("stages").
		SubResource(subresources...).
		Name(name).
		Body(data).
		Do().
		Into(result)
	return
}
